For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList business batches
        • POSTCreate a business batch
        • GETRetrieve a business batch
        • GETDownload business batch CSV
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationBusiness Batches

Create a business batch

POST
https://api.middesk.com/v1/business_batches
POST
/v1/business_batches
$curl -X POST https://api.middesk.com/v1/business_batches \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Q1-2025-Verification-Batch",
> "filename": "businesses.csv",
> "csv": "bmFtZSxhZGRyZXNzX2xpbmUxLGFkZHJlc3NfY2l0eSxhZGRyZXNzX3N0YXRlCkFjbWUgQ29ycG9yYXRpb24sMTIzIE1haW4gU3RyZWV0LFNhbiBGcmFuY2lzY28sQ0EK"
>}'
1{
2 "object": "business_batch",
3 "id": "e1f2a3b4-c5d6-7890-4567-89abcdef0123",
4 "name": "Q1-2025-Verification-Batch",
5 "filename": "businesses.csv",
6 "business_count": 1,
7 "completed_business_count": 0,
8 "created_at": "2025-01-07T12:00:00.000Z",
9 "account": {
10 "id": "f2a3b4c5-d6e7-8901-5678-9abcdef01234",
11 "name": "Example Account",
12 "slug": "example-account",
13 "pilot": false
14 }
15}
Was this page helpful?
Previous

Retrieve a business batch

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
Name for the business batch
filenamestringRequired
CSV filename
csvstringRequired
Base64 encoded CSV data

Response

business batch created

Errors

400
Create Business Batch Request Bad Request Error
422
Create Business Batch Request Unprocessable Entity Error